summaryrefslogtreecommitdiffstats
path: root/runcthon
diff options
context:
space:
mode:
authorSteve Dickson <steved@redhat.com>2009-05-18 14:17:34 -0400
committerSteve Dickson <steved@redhat.com>2009-05-18 14:17:34 -0400
commitca928c6e4ca53bc39d259d4d9fde417ce16c47bd (patch)
tree74e9bf80612f9cacf34c7381319466cb88113829 /runcthon
parent62a124fc1b8536efafefd5ba1b02ddd7fc20c962 (diff)
downloadcthon04-ca928c6e4ca53bc39d259d4d9fde417ce16c47bd.tar.gz
cthon04-ca928c6e4ca53bc39d259d4d9fde417ce16c47bd.tar.xz
cthon04-ca928c6e4ca53bc39d259d4d9fde417ce16c47bd.zip
Fixed a couple of typs in runcthon
Diffstat (limited to 'runcthon')
-rwxr-xr-xruncthon7
1 files changed, 5 insertions, 2 deletions
diff --git a/runcthon b/runcthon
index d5e3886..e1f7252 100755
--- a/runcthon
+++ b/runcthon
@@ -39,7 +39,10 @@ sec=$5
exportdir="-p $serverdir/nfsv$vers$proto"
echo "./server $test $mntargs $mntpoint $exportdir $SRV"
(./server $test $mntargs $mntpoint $exportdir $SRV > /tmp/nfsv$vers$proto 2>&1 ;
- [ $? -ne 0 ] && echo "\nThe '$test' test using '$mntargs' args to $SRV: Failed!!"
+ [ $? -ne 0 ] && {
+ echo ""
+ echo "The '$test' test using '$mntargs' args to $SRV: Failed!!"
+ }
[ -d $mnt/nfsv$vers$proto/`hostname -s`.test ] &&
sudo umount $mnt/nfsv$vers$proto ) &
#echo -n "waiting...."
@@ -71,7 +74,7 @@ mkdirs()
}
trap 'echo SIGINT; pkill runcthon server; exit 1 ' SIGINT
trap 'echo; echo -n "Done:"; date; exit 2' SIGTERM
-Usage="$0 --mkdirs --unmountall|--server|--serverdir|--noudp|--dokrb5|--onlykrb5|--nov4|--onlyv3|--onlyv4|--minver"
+Usage="$0 --mkdirs|--unmountall|--server|--serverdir|--noudp|--dokrb5|--onlykrb5|--nov4|--onlyv3|--onlyv4|--minver"
noudp=0
dokrb5=0